#
# spec file for package nmap (Version 3.30)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  bison flex gcc-c++ glib glib-devel gtk gtk-devel libstdc++-devel update-desktop-files x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext glib glib-devel gnome-filesystem gtk gtk-devel libstdc++-devel libtool perl rpm update-desktop-files

Name:         nmap
URL:          http://www.insecure.org/nmap/
License:      GPL
Group:        Productivity/Networking/Diagnostic
Autoreqprov:  on
Version:      3.30
Release:      70
Summary:      Portscanner
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}-libpcap-filter.diff
Patch1:       %{name}-%{version}-destdir.diff
Patch2:       %{name}-%{version}-ipsum.diff

%description
nmap  is designed to allow system administrators and curious
individuals to scan large networks to determine  which hosts  are up
and what services they are offering. With xnmap there is a graphical
frontend introduced, which shows nmaps output clearly. You find
documentation in /usr/share/doc/packages/nmap.



Authors:
--------
    Fyodor <fyodor@dhp.com>

%prep
%setup -q
%patch
%patch1 -p1
%patch2

%build
%{?suse_update_config:%{suse_update_config -f libpcap-possiblymodified nbase }}
autoconf -i -f
export CFLAGS="$RPM_OPT_FLAGS"
./configure	--prefix=/usr \
		--sysconfdir=/etc\
		--mandir=%{_mandir} \
                --infodir=%{_infodir} \
		--build %{_target_cpu}-suse-linux
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file nmapfe Network Monitor

%files
%defattr(-,root,root)
%doc COPYING CHANGELOG HACKING
%doc docs/nmap-fingerprinting-article.txt docs/nmap.deprecated.txt docs/README
%doc docs/nmap.usage.txt docs/nmap_doc.html docs/nmap_manpage.html docs/copying.html
/usr/bin/nmap
/usr/bin/nmapfe
/usr/bin/xnmap
/usr/share/nmap/
/opt/gnome/share/gnome/apps/Utilities/*.desktop
/%{_mandir}/man1/nmapfe.1.gz
/%{_mandir}/man1/xnmap.1.gz
/%{_mandir}/man1/nmap.1.gz

%changelog -n nmap
* Tue Jan 27 2004 - thomas@suse.de
- fixed bug #32826
* Sat Aug 16 2003 - adrian@suse.de
- add Categories
* Sat Jul 19 2003 - mmj@suse.de
- Update to version 3.30
* Sun Jun 22 2003 - mmj@suse.de
- Update to version 3.28
* Mon May 26 2003 - mmj@suse.de
- Update to nmap-3.27
* Tue May 13 2003 - mmj@suse.de
- Use %%defattr
* Tue Apr 01 2003 - mmj@suse.de
- Update to nmap-3.20
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Sun Aug 18 2002 - adrian@suse.de
- fix neededforbuild
- use BuildRoot
- add missing files to file list
* Mon Aug 05 2002 - draht@suse.de
- long awaited version 3.00. News:
  * 700 operation systems + network devices in fingerprint database
  * uptime scan
  * XML output
  * all references to God in error messages are capitalized
  added filter.dif security fix for homegrown libpcap.
* Wed Jan 09 2002 - draht@suse.de
- new version 2.54BETA30.
* Thu Aug 09 2001 - ro@suse.de
- fixed specfile to build (suse_update_config before autoconf)
* Tue May 08 2001 - draht@suse.de
- update to 2.54BETA22
* Sun Jan 28 2001 - schwab@suse.de
- Add %%suse_update_config.
* Mon Nov 13 2000 - ro@suse.de
- fixed inet_aton detection
* Sat Nov 04 2000 - kukuk@suse.de
- fix neededforbuild
* Tue Jul 11 2000 - mge@suse.de
- update to 2.53, move /usr/lib/nmap to /usr/share/nmap
* Tue Feb 22 2000 - garloff@suse.de
- Version 2.3BETA14. Move manpage to /usr/share/man
* Mon Oct 25 1999 - freitag@suse.de
- update to version 2.3BETA6
* Wed Oct 20 1999 - freitag@suse.de
- new version 2.12
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 18 1999 - uli@suse.de
- new package, version 2.02
